Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class ReportJobSimpleTriggerBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ReportJobTriggerBean
          com.jaspersoft.jasperserver.util.ReportJobSimpleTriggerBean

    public class ReportJobSimpleTriggerBean

extends ReportJobTriggerBean

Version:
  $Id: ReportJobSimpleTriggerBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ReportJobSimpleTriggerBean()`

Method Summary
`void` | `copyFrom(ReportJobTrigger trigger)`
`void` | `copyTo(ReportJobTrigger trigger)`
`int` | `getOccurrenceCount()`
`java.lang.Integer` | `getRecurrenceInterval()`
`java.lang.Byte` | `getRecurrenceIntervalUnit()`
`void` | `setOccurrenceCount(int occurrenceCount)`
`void` | `setRecurrenceInterval(java.lang.Integer recurrenceInterval)`
`void` | `setRecurrenceIntervalUnit(java.lang.Byte recurrenceIntervalUnit)`

Methods inherited from class com.jaspersoft.jasperserver.util.ReportJobTriggerBean
`getEndDate, getId, getStartDate, getStartType, getTimezone, getVersion, setEndDate, setId, setStartDate, setStartType, setTimezone, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobSimpleTriggerBean

    public ReportJobSimpleTriggerBean()

Method Detail

### copyFrom

    public void copyFrom(ReportJobTrigger trigger)

  Overrides:
    `copyFrom` in class `ReportJobTriggerBean`

### copyTo

    public void copyTo(ReportJobTrigger trigger)

  Overrides:
    `copyTo` in class `ReportJobTriggerBean`

### getOccurrenceCount

    public int getOccurrenceCount()

### setOccurrenceCount

    public void setOccurrenceCount(int occurrenceCount)

### getRecurrenceInterval

    public java.lang.Integer getRecurrenceInterval()

### setRecurrenceInterval

    public void setRecurrenceInterval(java.lang.Integer recurrenceInterval)

### getRecurrenceIntervalUnit

    public java.lang.Byte getRecurrenceIntervalUnit()

### setRecurrenceIntervalUnit

    public void setRecurrenceIntervalUnit(java.lang.Byte recurrenceIntervalUnit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.